<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Flex alignment | Layout | COMP 523</title>
    <style>

     #wrapper {
         width: 500px;
         border: 1px solid #aaa;
         display: flex;
         justify-content: flex-start;
         align-items: flex-start;
     }

     #wrapper > p {
         width: 100px;
         height: 50px;
         background-color: #aaf;
         border-radius: 5px;
         border: 1px solid #44f;
         margin: 0;
     }

     p#unsized {
         width: auto;
         height: auto;
         padding: 3px;
     }

    </style>
  </head>
  <body>
    <h1>Flex alignment</h1>

    <div id="wrapper">
      <p>One</p>
      <p id="unsized">Two</p>
      <p>Three</p>
    </div>
  </body>
</html>
